Get Technical Metadata Ingestion Status

Prev Next
Get
/api/v1/DataSteward/data-sources/{dataSourceId}/technical-metadata/{taskKey}

Returns the status of a specified technical metadata ingestion

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the data source being refreshed

taskKey
stringRequired

Key of the technical ingestion being checked

Responses
200

OK

Expand All
object
executionId
integer (int32)
dateStarted
string (date-time)
dateCompleted
string (date-time) | null
source
string | null
status
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

schemaResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
tableResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
columnResult
object (Configuration.Api.Models.v1.MetadataIngestionCounts)
returnedCount
integer (int32)
changedCount
integer (int32)
insertedCount
integer (int32)
updatedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
hasError
boolean
exceptionJson
string | null
exceptionMessage
string | null
resultErrors
Array of object (Configuration.Api.Models.v1.Common.FileError) | null
object
row
integer (int32) | null
column
string | null
description
string | null
404

Not Found

object
error
string | null